Bug 856413 - On-Demand Copy Trans not working as expected
On-Demand Copy Trans not working as expected
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity high
: ---
: 1.7
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 20:41 EDT by Carlos Munoz
Modified: 2012-11-29 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.7.3-SNAPSHOT (20120913-0015)
Doc Type: Bug Fix
Doc Text:
Cause: On-Demand copy trans options are not being correctly transferred to the server from the GUI. Consequence: Copy trans always runs with the default options. Fix: Use the correct UI components to trigger a Copy Trans on the server. Result: Copy Trans runs with the correct options as selected by the user.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 18:29:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-09-11 20:41:21 EDT
Description of problem:
On-Demand copy trans is always using the same settings regardless of the options specified in the UI. 

Version-Release number of selected component (if applicable):
1.7.2

How reproducible:
Always

Steps to Reproduce:
1. Log In
2. Go to a Project iteration and attempt a Copy Trans.
3. Select options other than the default "Make Fuzzy".
4. Start the translation copy.
  
Actual results:
Copy trans succeeds but all translation matches that should have been approved (or rejected) end up being fuzzy, as if the options given were the default.

Expected results:
Copy trans should use the options specified by the user in the GUI.

Additional info:
Comment 1 Carlos Munoz 2012-09-11 20:47:40 EDT
The Copy trans options were not being correctly passed from the GUI into the underlying components.

See:
https://github.com/zanata/zanata/commit/183b7f8e1a5e44056fb9aa7696f7d9cda6c143b8
Comment 2 Sean Flanigan 2012-09-11 20:53:53 EDT
Just to clarify: with this bug, not all translation matches will be copied as fuzzy.  If the content, context and filename all match, the string will be copied as Approved, at it should be.
Comment 3 Ding-Yi Chen 2012-09-13 04:14:44 EDT
VEROFOED with Zanata version 1.7.3-SNAPSHOT (20120913-0015)
and Zanata version 1.8.0-SNAPSHOT (20120913-1412)

Note You need to log in before you can comment on or make changes to this bug.